Subject: [PATCH 1/8] arm64: KVM: Switch the sys_reg search to be a binary search

From: [email-masked] (Alex Bennée)
Date: Wed, 10 Feb 2016 13:49:14 +0000

Marc Zyngier <[email-masked]> writes:

> Our 64bit sys_reg table is about 90 entries long (so far, and the
> PMU support is likely to increase this). This means that on average,
> it takes 45 comparaisons to find the right entry (and actually the
> full 90 if we have to search the invariant table).
>
> Not the most efficient thing. Specially when you think that this
> table is already sorted. Switching to a binary search effectively
> reduces the search to about 7 comparaisons. Slightly better!

Is there an argument for making this a hash table instead or is this not
possible as you would have to use dynamically allocated instead?

--
Alex Benn?e